Package org.eclipse.core.databinding.beans

## Interface IBeanMapProperty

All Superinterfaces:
  `IBeanProperty`, `IMapProperty`, `IProperty`

    public interface IBeanMapProperty
    extends IBeanProperty, IMapProperty

An `IMapProperty` extension interface with convenience methods for creating nested bean properties.

Since:
  1.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IBeanMapProperty` `values​(String propertyName)` Returns a master-detail combination of this property and the specified value property.
`IBeanMapProperty` `values​(String propertyName, Class valueType)` Returns a master-detail combination of this property and the specified value property.
`IBeanMapProperty` `values​(IBeanValueProperty property)` Returns a master-detail combination of this property and the specified value property.

### Methods inherited from interface org.eclipse.core.databinding.beans.IBeanProperty

`getPropertyDescriptor`

### Methods inherited from interface org.eclipse.core.databinding.property.map.IMapProperty

`getKeyType, getMap, getValueType, mapFactory, mapFactory, observe, observe, observeDetail, setMap, updateMap, values`

### Method Detail

#### values

    IBeanMapProperty values​(String propertyName)

Returns a master-detail combination of this property and the specified value property.

Parameters:
  `propertyName` - the value property to observe. May be nested e.g. "parent.name"
Returns:
  a master-detail combination of this property and the specified value property.
See Also:
  `values(IBeanValueProperty)`

#### values

    IBeanMapProperty values​(String propertyName,
                            Class valueType)

Returns a master-detail combination of this property and the specified value property.

Parameters:
  `propertyName` - the value property to observe. May be nested e.g. "parent.name"
  `valueType` - the value type of the named property
Returns:
  a master-detail combination of this property and the specified value property.
See Also:
  `values(IBeanValueProperty)`

#### values

    IBeanMapProperty values​(IBeanValueProperty property)

Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all `values` observed by this map property, mapping from this map property's `key set` to the specified value property's value for each element in the master property's `values` collection.

Parameters:
  `property` - the detail property to observe
Returns:
  a master-detail combination of this property and the specified value property.